List Check Deposits
curl --request GET \
--url https://api.treasuryprime.com/check_deposit \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/check_deposit"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/check_deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.treasuryprime.com/check_deposit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.treasuryprime.com/check_deposit"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.treasuryprime.com/check_deposit")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.treasuryprime.com/check_deposit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"data": [
{
"account_id": "acct_1234567890",
"amount": "100.00",
"amount_discrepancy_detected": false,
"back_image_file_id": "file_0987654321",
"created_at": "2017-11-02T11:55:14Z",
"decision_data": {},
"device": {
"os_name": "ios",
"os_version": "12"
},
"error": null,
"front_image_file_id": "file_1234567890",
"id": "chk_1029384756",
"ocr_account_number": "1234567890",
"ocr_amount": "100.00",
"ocr_check_number": "5250",
"ocr_routing_number": "021001208",
"org_id": "org_1gwmpv3payf",
"person_id": "owner_1234567890",
"rdc_provider_full": {},
"review_information": [],
"risk_rating": "Accept",
"risk_rating_description": "Risk rating assessment by RDC provider",
"status": "submitted",
"updated_at": "2017-11-02T11:56:31Z",
"userdata": null
}
]
}Check Deposit
List Check Deposits
GET
/
check_deposit
List Check Deposits
curl --request GET \
--url https://api.treasuryprime.com/check_deposit \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.treasuryprime.com/check_deposit"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.treasuryprime.com/check_deposit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.treasuryprime.com/check_deposit",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.treasuryprime.com/check_deposit"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.treasuryprime.com/check_deposit")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.treasuryprime.com/check_deposit")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"data": [
{
"account_id": "acct_1234567890",
"amount": "100.00",
"amount_discrepancy_detected": false,
"back_image_file_id": "file_0987654321",
"created_at": "2017-11-02T11:55:14Z",
"decision_data": {},
"device": {
"os_name": "ios",
"os_version": "12"
},
"error": null,
"front_image_file_id": "file_1234567890",
"id": "chk_1029384756",
"ocr_account_number": "1234567890",
"ocr_amount": "100.00",
"ocr_check_number": "5250",
"ocr_routing_number": "021001208",
"org_id": "org_1gwmpv3payf",
"person_id": "owner_1234567890",
"rdc_provider_full": {},
"review_information": [],
"risk_rating": "Accept",
"risk_rating_description": "Risk rating assessment by RDC provider",
"status": "submitted",
"updated_at": "2017-11-02T11:56:31Z",
"userdata": null
}
]
}Authorizations
basicAuthapiKey
Query Parameters
Was this page helpful?